cache/lscr.io/linuxserver/calibre-web (latest)
Published 2026-03-26 22:07:03 +01:00 by balki
Installation
docker pull forgejo.balki.cloud/balki/cache/lscr.io/linuxserver/calibre-web:latestsha256:13c5fec5d4dbcce4c3cfee12f70689f3e2a4c28460b08b56c91d411cc3e15f33About this package
[Calibre-web](https://github.com/janeczku/calibre-web) is a web app providing a clean interface for browsing, reading and downloading eBooks using an existing Calibre database. It is also possible to integrate google drive and edit metadata and your calibre library through the app itself. This software is a fork of library and licensed under the GPL v3 License.
Image layers
| COPY /root-out/ / # buildkit |
| ARG BUILD_DATE=2026-03-17T23:51:00+00:00 |
| ARG VERSION=b7dd4945-ls64 |
| ARG MODS_VERSION=v3 |
| ARG PKG_INST_VERSION=v1 |
| ARG LSIOWN_VERSION=v1 |
| ARG WITHCONTENV_VERSION=v1 |
| LABEL build_version=Linuxserver.io version:- b7dd4945-ls64 Build-date:- 2026-03-17T23:51:00+00:00 |
| LABEL maintainer=TheLamer |
| ADD --chmod=755 https://raw.githubusercontent.com/linuxserver/docker-mods/mod-scripts/docker-mods.v3 /docker-mods # buildkit |
| ADD --chmod=755 https://raw.githubusercontent.com/linuxserver/docker-mods/mod-scripts/package-install.v1 /etc/s6-overlay/s6-rc.d/init-mods-package-install/run # buildkit |
| ADD --chmod=755 https://raw.githubusercontent.com/linuxserver/docker-mods/mod-scripts/lsiown.v1 /usr/bin/lsiown # buildkit |
| ADD --chmod=755 https://raw.githubusercontent.com/linuxserver/docker-mods/mod-scripts/with-contenv.v1 /usr/bin/with-contenv # buildkit |
| ARG DEBIAN_FRONTEND=noninteractive |
| ENV HOME=/root LANGUAGE=en_US.UTF-8 LANG=en_US.UTF-8 TERM=xterm S6_CMD_WAIT_FOR_SERVICES_MAXTIME=0 S6_VERBOSITY=1 S6_STAGE2_HOOK=/docker-mods VIRTUAL_ENV=/lsiopy PATH=/lsiopy/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin |
| COPY sources.list /etc/apt/ # buildkit |
| RUN |7 BUILD_DATE=2026-03-17T23:51:00+00:00 VERSION=b7dd4945-ls64 MODS_VERSION=v3 PKG_INST_VERSION=v1 LSIOWN_VERSION=v1 WITHCONTENV_VERSION=v1 DEBIAN_FRONTEND=noninteractive /bin/sh -c echo "**** Ripped from Ubuntu Docker Logic ****" && rm -f /etc/apt/sources.list.d/ubuntu.sources && set -xe && echo '#!/bin/sh' > /usr/sbin/policy-rc.d && echo 'exit 101' >> /usr/sbin/policy-rc.d && chmod +x /usr/sbin/policy-rc.d && dpkg-divert --local --rename --add /sbin/initctl && cp -a /usr/sbin/policy-rc.d /sbin/initctl && sed -i 's/^exit.*/exit 0/' /sbin/initctl && echo 'force-unsafe-io' > /etc/dpkg/dpkg.cfg.d/docker-apt-speedup && echo 'DPkg::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' > /etc/apt/apt.conf.d/docker-clean && echo 'APT::Update::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' >> /etc/apt/apt.conf.d/docker-clean && echo 'Dir::Cache::pkgcache ""; Dir::Cache::srcpkgcache "";' >> /etc/apt/apt.conf.d/docker-clean && echo 'Acquire::Languages "none";' > /etc/apt/apt.conf.d/docker-no-languages && echo 'Acquire::GzipIndexes "true"; Acquire::CompressionTypes::Order:: "gz";' > /etc/apt/apt.conf.d/docker-gzip-indexes && echo 'Apt::AutoRemove::SuggestsImportant "false";' > /etc/apt/apt.conf.d/docker-autoremove-suggests && mkdir -p /run/systemd && echo 'docker' > /run/systemd/container && echo "**** install apt-utils and locales ****" && apt-get update && apt-get upgrade -y && apt-get install -y apt-utils locales && echo "**** install packages ****" && apt-get install -y catatonit cron curl gnupg jq netcat-openbsd systemd-standalone-sysusers tzdata && echo "**** generate locale ****" && locale-gen en_US.UTF-8 && echo "**** create abc user and make our folders ****" && useradd -u 911 -U -d /config -s /bin/false abc && usermod -G users abc && mkdir -p /app /config /defaults /lsiopy && echo "**** cleanup ****" && userdel ubuntu && apt-get autoremove && apt-get clean && rm -rf /tmp/* /var/lib/apt/lists/* /var/tmp/* /var/log/* # buildkit |
| COPY root/ / # buildkit |
| ENTRYPOINT ["/init"] |
| ENV LSIO_FIRST_PARTY=true |
| ARG BUILD_DATE=2026-03-22T03:24:05+00:00 |
| ARG VERSION=0.6.26-ls375 |
| ARG CALIBREWEB_RELEASE=0.6.26 |
| LABEL build_version=Linuxserver.io version:- 0.6.26-ls375 Build-date:- 2026-03-22T03:24:05+00:00 |
| LABEL maintainer=notdriz |
| ENV QTWEBENGINE_CHROMIUM_FLAGS=--no-sandbox |
| RUN |3 BUILD_DATE=2026-03-22T03:24:05+00:00 VERSION=0.6.26-ls375 CALIBREWEB_RELEASE=0.6.26 /bin/sh -c echo "**** install build packages ****" && apt-get update && apt-get install -y --no-install-recommends build-essential libldap2-dev libsasl2-dev python3-dev && echo "**** install runtime packages ****" && apt-get install -y --no-install-recommends imagemagick ghostscript libasound2t64 libldap2 libmagic1t64 libsasl2-2 libxi6 libxslt1.1 libxfixes3 python3-venv sqlite3 xdg-utils && echo "**** install calibre-web ****" && if [ -z ${CALIBREWEB_RELEASE+x} ]; then CALIBREWEB_RELEASE=$(curl -sX GET "https://api.github.com/repos/janeczku/calibre-web/releases/latest" | awk '/tag_name/{print $4;exit}' FS='[""]'); fi && curl -o /tmp/calibre-web.tar.gz -L https://github.com/janeczku/calibre-web/archive/${CALIBREWEB_RELEASE}.tar.gz && mkdir -p /app/calibre-web && tar xf /tmp/calibre-web.tar.gz -C /app/calibre-web --strip-components=1 && cd /app/calibre-web && python3 -m venv /lsiopy && pip install -U --no-cache-dir pip wheel && pip install -U --no-cache-dir --find-links https://wheel-index.linuxserver.io/ubuntu/ -r requirements.txt -r optional-requirements.txt && echo "***install kepubify" && if [ -z ${KEPUBIFY_RELEASE+x} ]; then KEPUBIFY_RELEASE=$(curl -sX GET "https://api.github.com/repos/pgaskin/kepubify/releases/latest" | awk '/tag_name/{print $4;exit}' FS='[""]'); fi && curl -o /usr/bin/kepubify -L https://github.com/pgaskin/kepubify/releases/download/${KEPUBIFY_RELEASE}/kepubify-linux-64bit && echo "**** cleanup ****" && apt-get -y purge build-essential libldap2-dev libsasl2-dev python3-dev && apt-get -y autoremove && rm -rf /tmp/* /var/lib/apt/lists/* /var/tmp/* /root/.cache # buildkit |
| COPY root/ / # buildkit |
| COPY /usr/bin/unrar-ubuntu /usr/bin/unrar # buildkit |
| EXPOSE [8083/tcp] |
| VOLUME [/config] |
Labels
| Key | Value |
|---|---|
| build_version | Linuxserver.io version:- 0.6.26-ls375 Build-date:- 2026-03-22T03:24:05+00:00 |
| maintainer | notdriz |
| org.opencontainers.image.authors | linuxserver.io |
| org.opencontainers.image.created | 2026-03-22T03:24:05+00:00 |
| org.opencontainers.image.description | [Calibre-web](https://github.com/janeczku/calibre-web) is a web app providing a clean interface for browsing, reading and downloading eBooks using an existing Calibre database. It is also possible to integrate google drive and edit metadata and your calibre library through the app itself. This software is a fork of library and licensed under the GPL v3 License. |
| org.opencontainers.image.documentation | https://docs.linuxserver.io/images/docker-calibre-web |
| org.opencontainers.image.licenses | GPL-3.0-only |
| org.opencontainers.image.ref.name | e08e76bef945fb834438ae2f471488054750eb59 |
| org.opencontainers.image.revision | e08e76bef945fb834438ae2f471488054750eb59 |
| org.opencontainers.image.source | https://github.com/linuxserver/docker-calibre-web |
| org.opencontainers.image.title | Calibre-web |
| org.opencontainers.image.url | https://github.com/linuxserver/docker-calibre-web/packages |
| org.opencontainers.image.vendor | linuxserver.io |
| org.opencontainers.image.version | 0.6.26-ls375 |